#include<reg51.h>
void init (void)
{
TMOD=0x01;			//Настроить Т0 в режим 16-ти разрядного таймера
TH0=(-10000)>>8;		//Занести старший байт числа -10000
TL0=-10000;			//Занести младший байт числа -10000
TF0=0;				//Обнулить флаг переполнения таймера
TR0=1;				//Включить таймер
}
void Gorit (void)
{
P0=0;				//Включаем светодиод
}
void NeGorit (void)		
{
P0=0xFF;			//Выключаем светодиод
}
void main (void)
{
for (;;)
{
init();
while (TF0==0)
Gorit();                        //Вызов функции Gorit
init();                         //Подготовка к следующему циклу
while (TF0==0)
NeGorit();                      //Вызов функции NeGorit
}
}


